# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Number/Phone.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Signature.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Number-Phone-Formatter-NationalDigits
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: A L<Number::Phone> formatter for the national digits only.
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/Number-Phone-Formatter-NationalDigits/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MS/MSCHOUT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a formatter that will format an
E.123 formatted number (e.g. from
the Number::Phone manpage) as the National portion of the number, with all non-digits
removed.  This is the same thing that the Number::Phone::Formatter::Raw manpage does,
except you can install this module without installing the entire
the Number::Phone manpage package, which is quite large.  If you merely need to format 
E.123 phone numbers as raw national
digits, and you don't want to install the entirety of the Number::Phone manpage, then
this is the module for you.  Otherwise you should probably just stick with
the Number::Phone::Formatter::Raw manpage.

This module can be used with the Number::Phone manpage, or, as a standalone module.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/N*

%changelog
* Thu Aug 17 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

